Bug 214434 - Handle bogus HPLIP Device IDs
Summary: Handle bogus HPLIP Device IDs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Update 214435
TreeView+ depends on / blocked
 
Reported: 2006-11-07 17:19 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.7.35-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 17:17:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2006-11-07 17:19:59 UTC
Description of problem:
See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214037#c10

Version-Release number of selected component (if applicable):
0.7.34-1

Fix is:
--- foomatic.py 7 Nov 2006 13:43:18 -0000       1.37
+++ foomatic.py 7 Nov 2006 17:13:55 -0000
@@ -748,2 +748,5 @@
                 mdls = self.makes[mfg]
+                # Handle bogus HPLIP Device IDs
+                if mdl.startswith (mfg + ' '):
+                    mdl = mdl[len (mfg) + 1:]
                 if mdls.has_key (mdl):

Comment 1 Fedora Update System 2006-11-09 17:04:20 UTC
Fixed in update: system-config-printer-0.7.35-1.fc6

Comment 2 Andrew Overholt 2006-11-14 22:49:55 UTC
Thanks, this did indeed fix the parsing of the manufacturer and device :)


Note You need to log in before you can comment on or make changes to this bug.